upgrading WPQ864 to the latest version of openWRT

  1. 4 months ago

    Hi all. Lately I have been trying to get opkg to work with my WPQ864 board, which returns a 'server not found' error.
    As I mentioned in my previous post, it seems that there are no releases for ipq806x APs in the stable release, and that I must point to the snapshot release, which does contain packages for ipq806x.
    I did change the opkg.conf file, and opkg seemed to work. However, it seems that the libc for openWRT changed from uClibc to musl, and whenever I try to invoke the newly installed iperf3, the following error occurs;

    -ash: iperf3: not found

    Now, it seems that the only option to get opkg up and running would be to install the snapshot release of openWRT to my WPQ864 board. Would this be possible, and be a good idea? If possible, what sysupgrade image should I use? It seems that the openWRT download page does not supply images for my WPQ864 board, but does supply the image for AP148.

    Thanks.

  2. Winston

    Dec 16 Moderator

    Hi Djji,

    Thanks for reaching out.

    WPQ864 board is based on IPQ806x AP148 reference design. It should be possible to use this firmware. Could you kindly check with OpenWRT developer forum please?

    Here is the link for WPQ864 QSDK firmware images:
    http://downloads.compex.com.sg/?dir=uploads/QSDK/WPQ864

    Best,
    Winston

  3. Thanks Winston! Just one more question...
    I found from the wiki that the CompexWRT images can be upgraded from the web LuCi interface
    does this also hold for QSDK images? If so, which file should I use (I saw that there were multiple options, NOR, NAND, APPS)?

  4. Winston

    Dec 22 Moderator

    Hi Djji,

    Yes, it also holds for QSDK images.

    Please choose the APPS .img file.

    Thanks,
    Winston

 

or Sign Up to reply!